@media (max-width: 900px) {
    .bio-content {
        flex-direction: column;
        text-align: center;
    }

    .bio-image {
        margin: 40px auto 10px;
        /* Center horizontally with auto margins */
        width: 250px;
        height: 250px;
        flex: 0 0 250px;
        border-radius: 50%;
        border: 5px solid rgba(255, 255, 255, 0.05);
        box-shadow: 0 0 30px rgba(56, 189, 248, 0.15);
    }

    .bio-text {
        padding: 30px 20px 40px;
        /* Adjust padding for mobile */
    }

    .bio-text h3 {
        justify-content: center;
    }
}